Package org.stianloader.picoresolve

# Class DependencyLayer.DependencyEdge

java.lang.Object
org.stianloader.picoresolve.DependencyLayer.DependencyEdge

Enclosing class:
  DependencyLayer

public static class DependencyLayer.DependencyEdge extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final @NotNull String`
`artifact`
`final @Nullable String`
`classifier`
`final @NotNull ExclusionContainer<Exclusion>`
`edgeExclusion`
`final @NotNull String`
`group`
`final @NotNull VersionRange`
`requestedVersion`
`final @NotNull Scope`
`scope`
`final @NotNull String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`DependencyEdge(@NotNull String group, @NotNull String artifact, @Nullable String classifier, @NotNull String type, @NotNull VersionRange requestedVersion, @NotNull Scope scope, @NotNull ExclusionContainer<Exclusion> edgeExclusion)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull DependencyLayer.DependencyLayerElement`
`getDeclarer()`
`@NotNull DependencyLayer.DependencyLayerElement`
`getResolved()`
`boolean`
`isResolved()`
`@NotNull String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### group

@NotNull public final @NotNull String group

### artifact

@NotNull public final @NotNull String artifact

### classifier

@Nullable public final @Nullable String classifier

### type

@NotNull public final @NotNull String type

### requestedVersion

@NotNull public final @NotNull VersionRange requestedVersion

### scope

@NotNull public final @NotNull Scope scope

### edgeExclusion

@NotNull public final @NotNull ExclusionContainer<Exclusion> edgeExclusion

## Constructor Details

### DependencyEdge

public DependencyEdge(@NotNull @NotNull String group, @NotNull @NotNull String artifact, @Nullable @Nullable String classifier, @NotNull @NotNull String type, @NotNull @NotNull VersionRange requestedVersion, @NotNull @NotNull Scope scope, @NotNull @NotNull ExclusionContainer<Exclusion> edgeExclusion)

## Method Details

### isResolved

@Contract(pure=true) public boolean isResolved()

### getResolved

@NotNull @Contract(pure=true) public @NotNull DependencyLayer.DependencyLayerElement getResolved()

### getDeclarer

@NotNull @Contract(pure=true) public @NotNull DependencyLayer.DependencyLayerElement getDeclarer()

### toString

@NotNull public @NotNull String toString()

Overrides:
  `toString` in class `Object`